;;; cl-scopes/storage/storage.lisp

;;;; Common layer for SQL storage functionality.

(defpackage :scopes/storage
  (:use :common-lisp)
  (:export #:*db-params* 
		   #:storage
		   #:drop-table))

(in-package :scopes/storage)

(defparameter *db-params* nil)

(defclass storage ()
  ((db :initarg :db)
   (config :initarg :config)
   (schema :initarg :schema)))

(defun drop-table (st tn)
  st
  (print (sxql:yield
	(sxql:drop-table tn :if-exists t))))
